com.sun.grid.jgdi.monitoring

## Class QueueInstanceSummaryResultImpl

- java.lang.Object
- - com.sun.grid.jgdi.monitoring.QueueInstanceSummaryResultImpl

- All Implemented Interfaces:
    QueueInstanceSummaryResult, java.io.Serializable

      public class QueueInstanceSummaryResultImpl
      extends java.lang.Object
      implements QueueInstanceSummaryResult, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueueInstanceSummaryResultImpl()` Creates a new instance of QueueInstanceSummaryResultImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addErrorJobs(java.util.List<JobSummary> jobs)`
    `void` | `addFinishedJobs(java.util.List<JobSummary> jobs)`
    `void` | `addPendingJobs(java.util.List<JobSummary> jobs)`
    `void` | `addQueueInstanceSummary(QueueInstanceSummary qs)`
    `void` | `addZombieJobs(java.util.List<JobSummary> jobs)`
    `java.util.List<JobSummary>` | `getErrorJobs()`
    `java.util.List<JobSummary>` | `getFinishedJobs()`
    `java.util.List<JobSummary>` | `getPendingJobs()`
    `java.util.List<QueueInstanceSummary>` | `getQueueInstanceSummary()`
    `java.util.List<JobSummary>` | `getZombieJobs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueueInstanceSummaryResultImpl

          public QueueInstanceSummaryResultImpl()

      Creates a new instance of QueueInstanceSummaryResultImpl

  - ### Method Detail

    - #### getQueueInstanceSummary

          public java.util.List<QueueInstanceSummary> getQueueInstanceSummary()

      Specified by:
        `getQueueInstanceSummary` in interface `QueueInstanceSummaryResult`

    - #### addQueueInstanceSummary

          public void addQueueInstanceSummary(QueueInstanceSummary qs)

    - #### getPendingJobs

          public java.util.List<JobSummary> getPendingJobs()

      Specified by:
        `getPendingJobs` in interface `QueueInstanceSummaryResult`

    - #### addPendingJobs

          public void addPendingJobs(java.util.List<JobSummary> jobs)

    - #### getErrorJobs

          public java.util.List<JobSummary> getErrorJobs()

      Specified by:
        `getErrorJobs` in interface `QueueInstanceSummaryResult`

    - #### addErrorJobs

          public void addErrorJobs(java.util.List<JobSummary> jobs)

    - #### getFinishedJobs

          public java.util.List<JobSummary> getFinishedJobs()

      Specified by:
        `getFinishedJobs` in interface `QueueInstanceSummaryResult`

    - #### addFinishedJobs

          public void addFinishedJobs(java.util.List<JobSummary> jobs)

    - #### getZombieJobs

          public java.util.List<JobSummary> getZombieJobs()

      Specified by:
        `getZombieJobs` in interface `QueueInstanceSummaryResult`

    - #### addZombieJobs

          public void addZombieJobs(java.util.List<JobSummary> jobs)

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.